package com.prolog.cs.biz.inbound.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description
 * @Date 2021-11-19
 */

@ApiModel
@Table(value = "incoming_record_d", appendDefaultJdbcType = true, camelToUnderline = true)
public class IncomingRecordD implements Serializable {
	private static final long serialVersionUID = 50135163699565532L;

	@ApiModelProperty(value = "ID标识")
	private String lineId;

	@ApiModelProperty(value = "收货单ID")
	private String billid;

	@ApiModelProperty(value = "收货单编码")
	private String billno;

	@ApiModelProperty(value = "收货单行号")
	private String seqno;

	@ApiModelProperty(value = "关联业务单据类型")
	private String refBilltype;

	@ApiModelProperty(value = "关联入库单ID")
	private String refBillid;

	@ApiModelProperty(value = "关联入库单号")
	private String refBillno;

	@ApiModelProperty(value = "关联入库单行号")
	private String refSeqno;

	@ApiModelProperty(value = "货主ID")
	private String consignorid;

	@ApiModelProperty(value = "货主编号")
	private String consignorcode;

	@ApiModelProperty(value = "货主名称")
	private String consignorname;

	@ApiModelProperty(value = "商品ID")
	private String itemid;

	@ApiModelProperty(value = "商品编码")
	private String itemcode;

	@ApiModelProperty(value = "商品名称")
	private String itemname;

	@ApiModelProperty(value = "父商品ID")
	private String parerntItemid;

	@ApiModelProperty(value = "商品规格")
	private String categoryId;

	@ApiModelProperty(value = "包装数量")
	private BigDecimal packSize;

	@ApiModelProperty(value = "包装单位")
	private String packUnits;

	@ApiModelProperty(value = "加工类型")
	private String machType;

	@ApiModelProperty(value = "批号")
	private String lotNo;

	@ApiModelProperty(value = "批次号")
	private String batchNo;

	@ApiModelProperty(value = "生产日期")
	private String pdateFrom;

	@ApiModelProperty(value = "有效期至")
	private String validUntil;

	@ApiModelProperty(value = "生产厂家")
	private String manufacturer;

	@ApiModelProperty(value = "整件数")
	private BigDecimal affirmedPcs;

	@ApiModelProperty(value = "零散数")
	private BigDecimal affirmedOdd;

	@ApiModelProperty(value = "赠品数量")
	private BigDecimal affirmedFreeqty;

	@ApiModelProperty(value = "数量")
	private BigDecimal affirmedQty;

	@ApiModelProperty(value = "重量")
	private BigDecimal affirmedWeight;

	@ApiModelProperty(value = "体积")
	private BigDecimal affirmedVolume;

	@ApiModelProperty(value = "含税单价")
	private BigDecimal price;

	@ApiModelProperty(value = "未税单价")
	private BigDecimal tniPrice;

	@ApiModelProperty(value = "含税金额")
	private BigDecimal amt;

	@ApiModelProperty(value = "未税金额")
	private BigDecimal tniAmt;

	@ApiModelProperty(value = "成本单价")
	private BigDecimal pieceCostTe;

	@ApiModelProperty(value = "单品含税成本")
	private BigDecimal pieceCostTi;

	@ApiModelProperty(value = "进项税率")
	private BigDecimal taxRate;

	@ApiModelProperty(value = "实际受托生产企业")
	private String actualmanufacturer;

	@ApiModelProperty(value = "入库特殊处理类型")
	private String spectreatmtype;

	@ApiModelProperty(value = "质检员")
	private String qtoperator;

	@ApiModelProperty(value = "质检员2")
	private String qtoperator2;

	@ApiModelProperty(value = "收货员1")
	private String rcvoperator;

	@ApiModelProperty(value = "收货员2")
	private String rcvoperator2;

	@ApiModelProperty(value = "异常说明")
	private String exceptionspec;

	@ApiModelProperty(value = "退货处理类型")
	private String returnproctype;

	@ApiModelProperty(value = "库区")
	private String brancharea;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "扩展字段1")
	private String attrStr1;

	@ApiModelProperty(value = "扩展字段2")
	private String attrStr2;

	@ApiModelProperty(value = "扩展字段3")
	private String attrStr3;

	@ApiModelProperty(value = "扩展字段4")
	private String attrStr4;

	@ApiModelProperty(value = "扩展字段5")
	private String attrStr5;

	@ApiModelProperty(value = "创建人")
	private String createby;

	@ApiModelProperty(value = "创建时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createdate;

	@ApiModelProperty(value = "修改人")
	private String lastmodifyby;

	@ApiModelProperty(value = "修改时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date lastmodifydate;

	@ApiModelProperty(value = "企业ID")
	private String pEnterpriseid;

	@ApiModelProperty(value = "企业名称")
	private String pEnterprisename;

	private String stockstatus;

	private String returnreason;

	private String returntype;

	private String belowgradereason;

	private String handlestep;

	private String samplingnum;

	@ApiModelProperty(value = "质检报告（20210802WMS增加的字段）")
	private String rqcReportNo;

	public String getLineId() {
		return this.lineId;
	}

	public void setLineId(String lineId) {
		this.lineId = lineId;
	}

	public String getBillid() {
		return this.billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getBillno() {
		return this.billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getSeqno() {
		return this.seqno;
	}

	public void setSeqno(String seqno) {
		this.seqno = seqno;
	}

	public String getRefBilltype() {
		return this.refBilltype;
	}

	public void setRefBilltype(String refBilltype) {
		this.refBilltype = refBilltype;
	}

	public String getRefBillid() {
		return this.refBillid;
	}

	public void setRefBillid(String refBillid) {
		this.refBillid = refBillid;
	}

	public String getRefBillno() {
		return this.refBillno;
	}

	public void setRefBillno(String refBillno) {
		this.refBillno = refBillno;
	}

	public String getRefSeqno() {
		return this.refSeqno;
	}

	public void setRefSeqno(String refSeqno) {
		this.refSeqno = refSeqno;
	}

	public String getConsignorid() {
		return this.consignorid;
	}

	public void setConsignorid(String consignorid) {
		this.consignorid = consignorid;
	}

	public String getConsignorcode() {
		return this.consignorcode;
	}

	public void setConsignorcode(String consignorcode) {
		this.consignorcode = consignorcode;
	}

	public String getConsignorname() {
		return this.consignorname;
	}

	public void setConsignorname(String consignorname) {
		this.consignorname = consignorname;
	}

	public String getItemid() {
		return this.itemid;
	}

	public void setItemid(String itemid) {
		this.itemid = itemid;
	}

	public String getItemcode() {
		return this.itemcode;
	}

	public void setItemcode(String itemcode) {
		this.itemcode = itemcode;
	}

	public String getItemname() {
		return this.itemname;
	}

	public void setItemname(String itemname) {
		this.itemname = itemname;
	}

	public String getParerntItemid() {
		return this.parerntItemid;
	}

	public void setParerntItemid(String parerntItemid) {
		this.parerntItemid = parerntItemid;
	}

	public String getCategoryId() {
		return this.categoryId;
	}

	public void setCategoryId(String categoryId) {
		this.categoryId = categoryId;
	}

	public BigDecimal getPackSize() {
		return this.packSize;
	}

	public void setPackSize(BigDecimal packSize) {
		this.packSize = packSize;
	}

	public String getPackUnits() {
		return this.packUnits;
	}

	public void setPackUnits(String packUnits) {
		this.packUnits = packUnits;
	}

	public String getMachType() {
		return this.machType;
	}

	public void setMachType(String machType) {
		this.machType = machType;
	}

	public String getLotNo() {
		return this.lotNo;
	}

	public void setLotNo(String lotNo) {
		this.lotNo = lotNo;
	}

	public String getBatchNo() {
		return this.batchNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	public String getPdateFrom() {
		return this.pdateFrom;
	}

	public void setPdateFrom(String pdateFrom) {
		this.pdateFrom = pdateFrom;
	}

	public String getValidUntil() {
		return this.validUntil;
	}

	public void setValidUntil(String validUntil) {
		this.validUntil = validUntil;
	}

	public String getManufacturer() {
		return this.manufacturer;
	}

	public void setManufacturer(String manufacturer) {
		this.manufacturer = manufacturer;
	}

	public BigDecimal getAffirmedPcs() {
		return this.affirmedPcs;
	}

	public void setAffirmedPcs(BigDecimal affirmedPcs) {
		this.affirmedPcs = affirmedPcs;
	}

	public BigDecimal getAffirmedOdd() {
		return this.affirmedOdd;
	}

	public void setAffirmedOdd(BigDecimal affirmedOdd) {
		this.affirmedOdd = affirmedOdd;
	}

	public BigDecimal getAffirmedFreeqty() {
		return this.affirmedFreeqty;
	}

	public void setAffirmedFreeqty(BigDecimal affirmedFreeqty) {
		this.affirmedFreeqty = affirmedFreeqty;
	}

	public BigDecimal getAffirmedQty() {
		return this.affirmedQty;
	}

	public void setAffirmedQty(BigDecimal affirmedQty) {
		this.affirmedQty = affirmedQty;
	}

	public BigDecimal getAffirmedWeight() {
		return this.affirmedWeight;
	}

	public void setAffirmedWeight(BigDecimal affirmedWeight) {
		this.affirmedWeight = affirmedWeight;
	}

	public BigDecimal getAffirmedVolume() {
		return this.affirmedVolume;
	}

	public void setAffirmedVolume(BigDecimal affirmedVolume) {
		this.affirmedVolume = affirmedVolume;
	}

	public BigDecimal getPrice() {
		return this.price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	public BigDecimal getTniPrice() {
		return this.tniPrice;
	}

	public void setTniPrice(BigDecimal tniPrice) {
		this.tniPrice = tniPrice;
	}

	public BigDecimal getAmt() {
		return this.amt;
	}

	public void setAmt(BigDecimal amt) {
		this.amt = amt;
	}

	public BigDecimal getTniAmt() {
		return this.tniAmt;
	}

	public void setTniAmt(BigDecimal tniAmt) {
		this.tniAmt = tniAmt;
	}

	public BigDecimal getPieceCostTe() {
		return this.pieceCostTe;
	}

	public void setPieceCostTe(BigDecimal pieceCostTe) {
		this.pieceCostTe = pieceCostTe;
	}

	public BigDecimal getPieceCostTi() {
		return this.pieceCostTi;
	}

	public void setPieceCostTi(BigDecimal pieceCostTi) {
		this.pieceCostTi = pieceCostTi;
	}

	public BigDecimal getTaxRate() {
		return this.taxRate;
	}

	public void setTaxRate(BigDecimal taxRate) {
		this.taxRate = taxRate;
	}

	public String getActualmanufacturer() {
		return this.actualmanufacturer;
	}

	public void setActualmanufacturer(String actualmanufacturer) {
		this.actualmanufacturer = actualmanufacturer;
	}

	public String getSpectreatmtype() {
		return this.spectreatmtype;
	}

	public void setSpectreatmtype(String spectreatmtype) {
		this.spectreatmtype = spectreatmtype;
	}

	public String getQtoperator() {
		return this.qtoperator;
	}

	public void setQtoperator(String qtoperator) {
		this.qtoperator = qtoperator;
	}

	public String getQtoperator2() {
		return this.qtoperator2;
	}

	public void setQtoperator2(String qtoperator2) {
		this.qtoperator2 = qtoperator2;
	}

	public String getRcvoperator() {
		return this.rcvoperator;
	}

	public void setRcvoperator(String rcvoperator) {
		this.rcvoperator = rcvoperator;
	}

	public String getRcvoperator2() {
		return this.rcvoperator2;
	}

	public void setRcvoperator2(String rcvoperator2) {
		this.rcvoperator2 = rcvoperator2;
	}

	public String getExceptionspec() {
		return this.exceptionspec;
	}

	public void setExceptionspec(String exceptionspec) {
		this.exceptionspec = exceptionspec;
	}

	public String getReturnproctype() {
		return this.returnproctype;
	}

	public void setReturnproctype(String returnproctype) {
		this.returnproctype = returnproctype;
	}

	public String getBrancharea() {
		return this.brancharea;
	}

	public void setBrancharea(String brancharea) {
		this.brancharea = brancharea;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getAttrStr1() {
		return this.attrStr1;
	}

	public void setAttrStr1(String attrStr1) {
		this.attrStr1 = attrStr1;
	}

	public String getAttrStr2() {
		return this.attrStr2;
	}

	public void setAttrStr2(String attrStr2) {
		this.attrStr2 = attrStr2;
	}

	public String getAttrStr3() {
		return this.attrStr3;
	}

	public void setAttrStr3(String attrStr3) {
		this.attrStr3 = attrStr3;
	}

	public String getAttrStr4() {
		return this.attrStr4;
	}

	public void setAttrStr4(String attrStr4) {
		this.attrStr4 = attrStr4;
	}

	public String getAttrStr5() {
		return this.attrStr5;
	}

	public void setAttrStr5(String attrStr5) {
		this.attrStr5 = attrStr5;
	}

	public String getCreateby() {
		return this.createby;
	}

	public void setCreateby(String createby) {
		this.createby = createby;
	}

	public Date getCreatedate() {
		return this.createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getLastmodifyby() {
		return this.lastmodifyby;
	}

	public void setLastmodifyby(String lastmodifyby) {
		this.lastmodifyby = lastmodifyby;
	}

	public Date getLastmodifydate() {
		return this.lastmodifydate;
	}

	public void setLastmodifydate(Date lastmodifydate) {
		this.lastmodifydate = lastmodifydate;
	}

	public String getPEnterpriseid() {
		return this.pEnterpriseid;
	}

	public void setPEnterpriseid(String pEnterpriseid) {
		this.pEnterpriseid = pEnterpriseid;
	}

	public String getPEnterprisename() {
		return this.pEnterprisename;
	}

	public void setPEnterprisename(String pEnterprisename) {
		this.pEnterprisename = pEnterprisename;
	}

	public String getStockstatus() {
		return this.stockstatus;
	}

	public void setStockstatus(String stockstatus) {
		this.stockstatus = stockstatus;
	}

	public String getReturnreason() {
		return this.returnreason;
	}

	public void setReturnreason(String returnreason) {
		this.returnreason = returnreason;
	}

	public String getReturntype() {
		return this.returntype;
	}

	public void setReturntype(String returntype) {
		this.returntype = returntype;
	}

	public String getBelowgradereason() {
		return this.belowgradereason;
	}

	public void setBelowgradereason(String belowgradereason) {
		this.belowgradereason = belowgradereason;
	}

	public String getHandlestep() {
		return this.handlestep;
	}

	public void setHandlestep(String handlestep) {
		this.handlestep = handlestep;
	}

	public String getSamplingnum() {
		return this.samplingnum;
	}

	public void setSamplingnum(String samplingnum) {
		this.samplingnum = samplingnum;
	}

	public String getRqcReportNo() {
		return this.rqcReportNo;
	}

	public void setRqcReportNo(String rqcReportNo) {
		this.rqcReportNo = rqcReportNo;
	}

}
